#!/bin/sh

servers=(
	"server01.example.com"
	"user01@server02.example.com"
	"root@server03.example.com"
	"QUIT"
)

PS3="接続サーバ? "

select server in "${servers[@]}"; do
	if [[ -z $server ]]; then
		echo "メニュー内の番号を選択してください。"
		continue
	fi
	if [[ $server == "QUIT" ]]; then
		echo "終了します。"
		exit 0
	fi
	echo "$server に接続します。"
	ssh "$server"
done 
