#!/usr/bin/perl

use strict;

sub build_bigram {
	my ( $word, $pre );
	my @words;
	my %bigram;

	while (<>) {
		@words = split( /\s+/, $_ );
		foreach $word ( @words ) {
			push( @{$bigram{ $pre }}, $word );
			$pre = $word;
		}
	}
	return %bigram;
}

MAIN: {
	my %bigram;
	my @candidates;
	my ( $pre, $choice, $i );

	%bigram = build_bigram();

	$pre = "I"; print "I ";
	for ( $i = 1; $i < 100; $i++ ) {
		@candidates = @{$bigram{ $pre }};
		$choice = $candidates[ int( rand( $#candidates ) ) ];
		print $choice . " ";
		$pre = $choice;
	}
}
