#!/usr/bin/perl

use strict;

sub monitor {
	my $rc;
	$rc = system( "pgrep -x $_[ 0 ] >/dev/null 2>&1" );
	$rc >>= 8;
	return $rc;
}

MAIN: {
	my ( $status, $rc );

	if ( monitor( "httpd" ) == 0 ) {
		$status = "up";
	} else {
		$status = "down";
	}

	while ( 1 ) {
		$rc = monitor( "httpd" );
		if ( $rc == 0 && $status ne "up" ) {
			$status = "up";
			system( "logger -t kanshi httpd is up." );
		}
		if ( $rc != 0 && $status ne "down" ) {
			$status = "down";
			system( "logger -t kanshi httpd is down." );
		}
		sleep 10;
	}
}
